Bug 838 - Suggestion: use ../ instead of file:/usr/doc
Suggestion: use ../ instead of file:/usr/doc
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: indexhtml (Show other bugs)
5.2
All Linux
low Severity low
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-01-15 01:08 EST by Daniel Senie
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-02-10 13:33:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Senie 1999-01-15 01:08:24 EST
In the index.html file, if you were to use ../ in the links
for the Linux docs, instead of a file:/usr/doc/ URL, the
file would still work for those at the console of the Linux
machine. However, those of us who use Linux machines as
servers would also be able to use the page.

I place an alias in my Apache such as:

Alias /rhl /usr/doc/

as a way to read the documentation via a web browser on
another system. If the suggested alteration were made to the
index.html file, that file would be useful as a top-level
page even for setups like mine.
Comment 1 David Lawrence 1999-01-19 16:00:59 EST
Thank you for your suggestion. It has been noted and will be passed on
to a developer for further review.
Comment 2 Michael K. Johnson 1999-02-10 13:33:59 EST
Changed for next version.  There are arguments both ways -- with
the absolute paths, the document still works even if it is moved
elsewhere in the file hierarchy.  But I think that the arguments
are stronger for relative paths, so I've changed it.

Note You need to log in before you can comment on or make changes to this bug.